GDB (xrefs)

Public Attributes | List of all members
tui_source_element Struct Reference

`#include "tui-data.h"`

## Public Attributes
char * | line
struct tui_line_or_address | line_or_addr
int | is_exec_point
int | has_break

## Detailed Description

Definition at line 158 of file tui-data.h.

## Member Data Documentation

## ◆ has_break

int tui_source_element::has_break

Definition at line 163 of file tui-data.h.

Referenced by init_content_element(), tui_clear_source_content(), tui_set_disassem_content(), tui_set_exec_info_content(), tui_set_source_content_nil(), and tui_update_breakpoint_info().

## ◆ is_exec_point

int tui_source_element::is_exec_point

Definition at line 162 of file tui-data.h.

Referenced by init_content_element(), tui_clear_source_content(), tui_set_disassem_content(), tui_set_exec_info_content(), tui_set_is_exec_point_at(), tui_set_source_content(), tui_set_source_content_nil(), and tui_show_source_line().

## ◆ line

char* tui_source_element::line

Definition at line 160 of file tui-data.h.

Referenced by init_content_element(), tui_alloc_source_buffer(), tui_set_disassem_content(), tui_set_source_content_nil(), tui_show_source_line(), and tui_update_breakpoint_info().

## ◆ line_or_addr

struct tui_line_or_address tui_source_element::line_or_addr

Definition at line 161 of file tui-data.h.

Referenced by init_content_element(), tui_addr_is_displayed(), tui_horizontal_source_scroll(), tui_line_is_displayed(), tui_set_disassem_content(), tui_set_is_exec_point_at(), tui_set_source_content(), tui_set_source_content_nil(), tui_update_breakpoint_info(), tui_vertical_disassem_scroll(), and tui_vertical_source_scroll().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tui/tui-data.h